Package org.w3._2001._04.xmlenc

# Class EncryptionProperties

java.lang.Object
org.w3._2001._04.xmlenc.EncryptionProperties

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class EncryptionProperties extends Object implements Serializable

Java class for EncryptionPropertiesType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptionPropertiesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptionProperty" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptionProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<EncryptionProperty>`
  `getEncryptionProperties()`
  Gets the value of the encryptionProperties property.
  `String`
  `getId()`
  Gets the value of the id property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptionProperties

    public EncryptionProperties()

- ## Method Details

  - ### getEncryptionProperties

    public List<EncryptionProperty> getEncryptionProperties()
    Gets the value of the encryptionProperties property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encryptionProperties property.

    For example, to add a new item, do as follows:

         getEncryptionProperties().add(newItem);

    Objects of the following type(s) are allowed in the list `EncryptionProperty`

    Returns:
      The value of the encryptionProperties property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`